### Method

# EDataServer SourceCredentialsProvider can_prompt

since: 3.16

#### Declaration [src]

    gboolean
    e_source_credentials_provider_can_prompt (
      ESourceCredentialsProvider* provider,
      ESource* source
    )

#### Description [src]

Returns whether a credentials prompt can be shown for the `source`.

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE`, when a credentials prompt can be shown for `source`, `FALSE` otherwise.